Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.cache
Class FixedSizeCache

    java.lang.Object
      org.biojava.utils.cache.FixedSizeCache

All Implemented Interfaces:
  Cache

    public class FixedSizeCache

extends Object
implements Cache

Cache which stores up to `limit` Objects.

Since:
  1.1
Author:
  Thomas Down

Constructor Summary
`FixedSizeCache(int limit)`

Method Summary
`int` | `getLimit()`
`CacheReference` | `makeReference(Object o)` Construct a temporary reference to an object.
`void` | `setLimit(int limit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedSizeCache

    public FixedSizeCache(int limit)

Method Detail

### makeReference

    public CacheReference makeReference(Object o)

  Description copied from interface: `Cache`
  Construct a temporary reference to an object. The reference persists until it becomes dereferenced itself, it is explicitly cleared by the user, or the cache determines that it is a candidate for disposal.

  Specified by:
    `makeReference` in interface `Cache`

### getLimit

    public int getLimit()

### setLimit

    public void setLimit(int limit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD